# Delete Vehicle

Delete a Vehicle, defined by their `id`.

Endpoint: DELETE /vehicles/{id}
Version: 1.1.1
Security: clientCredentials

## Path parameters:

  - `id` (string, required)
    A unique identifier of an entity instance.

## Header parameters:

  - `If-Match` (string)
    Weak Etag used for optimistic locking.

## Response 400 fields (application/problem+json):

  - `title` (string)
    A short, summary of the problem.
    Example: Validation exception

  - `detail` (string)
    A detailed explanation specific to this problem.
    Example: The field contains invalid business formatting.

  - `violations` (array)

  - `violations.field` (string)
    Example: path.to.field

  - `violations.message` (string)
    Example: Field is required

## Response 404 fields (application/problem+json):

  - `title` (string)
    A short, summary of the problem.
    Example: Validation exception

  - `detail` (string)
    A detailed explanation specific to this problem.
    Example: The field contains invalid business formatting.

## Response 412 fields (application/problem+json):

  - `title` (string)
    A short, summary of the problem.
    Example: Validation exception

  - `detail` (string)
    A detailed explanation specific to this problem.
    Example: The field contains invalid business formatting.

